Bug 38689 - Installer crashes while trying to install anaconda package
Installer crashes while trying to install anaconda package
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
http://www.raidzero.net/misc/anacdump...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-01 21:27 EDT by epoch
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-14 16:26:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description epoch 2001-05-01 21:27:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows 98)


Installer dumps out trying to install an anaconda module.

Reproducible: Always
Steps to Reproduce:
1. Use advisory ID RHBA-2000:084-04 fix disk for installer
2. Install "server system".
3. Installer will dump out while installing packages, somewhere around 
90mb installed.
	

Actual Results:  Installer dumped out later than before I'd used the patch 
disk.

Expected Results:  It should have installed properly.

Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 507, in 
__call__
    if todo.doInstall ():
  File "/tmp/updates/todo.py", line 1562, in doInstall
    self.instCallback, (p, self.intf.messageWindow))
  File "/tmp/updates/todo.py", line 1297, in instCallback
    self.instLog.flush ()
IOError: [Errno 5] Input/output error

Local variables in innermost frame:
param: (<text.InstallProgressWindow instance at 8ce0688>, <method 
InstallInterface.messageWindow of InstallInterface instance at 8267c70>)
what: 2
total: 0
self: <todo.ToDo instance at 8323f80>
h: <header object at 82f9260>
amount: 0
intf: <text.InstallProgressWindow instance at 8ce0688>
.10: (<text.InstallProgressWindow instance at 8ce0688>, <method 
InstallInterface.messageWindow of InstallInterface instance at 8267c70>)
messageWindow: <method InstallInterface.messageWindow of InstallInterface 
instance at 8267c70>

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>
Comment 1 Brent Fox 2001-05-02 11:33:36 EDT
Can you look on VC3 and VC4 and see if there are any error messages?
Comment 2 epoch 2001-05-03 06:28:16 EDT
VC3 shows some errors about not being able to autopartition the drive.

VC4 shows a lot of stuff like:

<4>end_request: I/O error, dev 3:06 (hda) sector 293941
<4>hda: read_intr: status=0x59 (DriveReady, SeekComplete, DataRequest Error)
<4>hda: read_intr: error=0x40 (Uncorrectable error), LBAsect 43296, sector 265585

The drive is running in "normal" mode, not LBA according to the BIOS.
Comment 3 epoch 2001-05-03 06:34:55 EDT
Drive has also been partitioned manually, using DiskDruid.

Specs for the drive can be found here: http://www.computerhope.com/hdd/hdd0024.htm

I've tried it in both normal and LBA types.
Comment 4 Brent Fox 2001-05-03 11:59:37 EDT
Ok...take a look at bug #38645.  I think that this may be the behavior that you
are seeing.  Try booting with 'linux ide=nodma'  Does this fix the problem?
Comment 5 epoch 2001-05-04 03:55:50 EDT
Nope, still happening, but later on in the installation now - somewhere around 123mb. CDROM is a Creative "Hex Speed". Options used for the installer are "linux updates ide=nodma text".

Got a copy of Slackware7.1 here, so I'll see if it's this PC or not.
Comment 6 Brent Fox 2001-05-04 10:47:39 EDT
Ok.
Comment 7 Brent Fox 2001-05-14 16:26:37 EDT
Closing due to inactivity.  Please reopen if you have more information.


Note You need to log in before you can comment on or make changes to this bug.